Retrieve Multiple Taxonomies
Retrieve all taxonomies in the space.
https://api.storyblok.com/v2/cdn/taxonomiesQuery parameters
Section titled “Query parameters”tokenrequired stringA preview or public access token configured in a space.
Response properties
Section titled “Response properties”taxonomiesarray<TaxonomyTerm>Show child properties
idstringThe taxonomy’s ID.
display_namestringThe taxonomy’s name.
namestringThe taxonomy’s technical name.
descriptionstring | nullThe taxonomy’s description.
parent_idstring | nullThe top-level term’s ID.
last_authorobject | nullAn object that contains the details of user who created the term.
Show child properties
idintegerThe user’s numeric ID.
useridstringThe user’s username or email address.
friendly_namestringThe user’s display name.
avatarstring | nullThe URL of the user’s avatar image.
last_author_idstring | nullThe user’s ID.
created_atstringCreation timestamp. Supports ISO 8601.
updated_atstringLatest update timestamp. Supports ISO 8601.
childrenarray<TaxonomyTerm>An array of sub-terms objects.
Show child properties
idstringThe taxonomy’s ID.
display_namestringThe taxonomy’s name.
namestringThe taxonomy’s technical name.
descriptionstring | nullThe taxonomy’s description.
parent_idstring | nullThe top-level term’s ID.
last_authorobject | nullAn object that contains the details of user who created the term.
Show child properties
idintegerThe user’s numeric ID.
useridstringThe user’s username or email address.
friendly_namestringThe user’s display name.
avatarstring | nullThe URL of the user’s avatar image.
last_author_idstring | nullThe user’s ID.
created_atstringCreation timestamp. Supports ISO 8601.
updated_atstringLatest update timestamp. Supports ISO 8601.
childrenarray<TaxonomyTerm>An array of sub-terms objects.
terms_countintegerThe number sub-terms (at any depth).
last_activity_atstringLatest update timestamp. Supports ISO 8601.
associated_contentarray<object>An array of story objects associated with the taxonomy.
Show child properties
idstringThe associated story’s ID.
typestringThe associated block type’s name.
namestringfull_slugstringThe story’s full slug, including parent folder and language paths.
updated_atstringLatest update timestamp. Supports ISO 8601.
terms_countintegerThe number sub-terms (at any depth).
last_activity_atstringLatest update timestamp. Supports ISO 8601.
associated_contentarray<object>An array of story objects associated with the taxonomy.
Show child properties
idstringThe associated story’s ID.
typestringThe associated block type’s name.
namestringfull_slugstringThe story’s full slug, including parent folder and language paths.
updated_atstringLatest update timestamp. Supports ISO 8601.
cvinteger | null
Examples
Section titled “Examples”curl "https://api.storyblok.com/v2/cdn/taxonomies\?token=ask9soUkv02QqbZgmZdeDAtt"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "krcV6QGxWORpYLUWt12xKQtt",});
try { const response = await storyblok.get('cdn/taxonomies', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->get('taxonomies')->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/taxonomies?token=ask9soUkv02QqbZgmZdeDAtt") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/taxonomies?token=ask9soUkv02QqbZgmZdeDAtt");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/taxonomies"
querystring = {"token":"ask9soUkv02QqbZgmZdeDAtt"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.get('taxonomies')let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))let request = URLRequest(storyblok: storyblok, path: "taxonomies")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(CDN)) { accessToken = "ask9soUkv02QqbZgmZdeDAtt" }}
val response = client.get("taxonomies")
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community